<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.30</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
    <div class="row form-group">
        <button class="btn btn-info m-1" onclick="onBtnGetAllOrderClick()">Call api get all orders!</button>
        <button class="btn btn-success m-1" onclick="onCreateOrderClick()">Call api create order!</button>
        <button class="btn btn-warning m-1" onclick="onGetOrderByIdClick()">Call api get order by id!</button>
        <button class="btn btn-primary m-1" onclick="onUpdateOrderClick()">Call api update order!</button>
        <button class="btn btn-info m-1" onclick="onCheckVoucherIdClick()">Call api check voucher by id!</button>
        <button class="btn btn-danger m-1" onclick="onGetDrinkListClick()">Call api Get drink list!</button>
    </div>

</body>

<script>
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

    async function fetchAPI() {
        var response = await fetch(url, options);

        var data = await response.json();

        console.log(data);
    }

    async function onBtnGetAllOrderClick() {
        var response = await fetch(gBASE_URL, {
            method: "GET"
        });

        var data = await response.json();

        console.log(data);
    }

    async function onCreateOrderClick() {
        var vObjectRequest = {
            kichCo: "M",
            duongKinh: "25",
            suon: "4",
            salad: "300",
            loaiPizza: "HAWAII",
            idVourcher: "16512",
            idLoaiNuocUong: "PEPSI",
            soLuongNuoc: "3",
            hoTen: "Phạm Thanh Bình",
            thanhTien: "200000",
            email: "binhpt001@devcamp.edu.vn",
            soDienThoai: "0865241654",
            diaChi: "Hà Nội",
            loiNhan: "Pizza đế dày"
        }

        var response = await fetch(gBASE_URL, {
            method: "POST",
            headers: {
                "Content-type": "application/json; charset-UTF-8",
            },
            body: JSON.stringify({
                title: "foo",
                body: "bar",
                userId: 1,
            })
        });

        var data = await response.json();

        console.log(data);
    }

    async function onGetOrderByIdClick() {
        var vOrderId = "efi2exSxlG";

        var response = await fetch(gBASE_URL + "/" + vOrderId, {
            method: "GET"
        });

        var data = await response.json();

        console.log(data);
    }

    async function onUpdateOrderClick() {
        var vDatabaseIdOfOrder = "190389";   //chú ý đây là ID tự sinh bởi Database, không phải là vOrderId, ( ví dụ: "qAsV7A3SRo")
        var vObjectRequest = {
            trangThai: "confirmed" //3: trang thai open, confirmed, cancel tùy tình huống
        }

        var response = await fetch(gBASE_URL + "/" + vDatabaseIdOfOrder, {
            method: "PUT",
            headers: {
                "Content-type": "application/json; charset-UTF-8",
            },
            body: JSON.stringify(vObjectRequest),
        });

        var data = await response.json();

        console.log(data);
    }

    async function onCheckVoucherIdClick() {
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
        var vVoucherId = "24864";  //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai

        var response = await fetch(vBASE_URL + vVoucherId, {
            method: "GET",
        });

        var data = await response.json();

        console.log(data);
    }

    async function onGetDrinkListClick() {
        var response = await fetch("http://203.171.20.210:8080/devcamp-pizza365/drinks", {
            method: "GET",
        });

        var data = await response.json();

        console.log(data);
    }



</script>

</html>